import {createApp, ref} from 'vue'
import App from './App.vue'
import router from './router'
import store from './store'
import ElementPlus from 'element-plus'
import 'element-plus/dist/index.css'
import '././assets/styles/border.css'
import '././assets/styles/reset.css'
import SvgIcon from './icons'
import '@/router/permission.js'
import axios from "axios";

axios.defaults.withCredentials=true

// 意思是携带cookie信息,保持session的一致性


const editableTabs = ref([
    {
        title: '首页',
        name: 'home'
    }
])
const editableTabsValue = ref('')

// 挂载到全局属性

const app=createApp(App);
app.config.globalProperties.$editableTabs = editableTabs;
app.config.globalProperties.$editableTabsValue = editableTabsValue;
app.use(store).use(router).use(ElementPlus).use(SvgIcon).mount('#app');
